## plasma-mobile 6.3.6

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2020 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Bhushan Shah <bshah@kde.org>
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.24)

project(plasma-mobile)
set(PROJECT_VERSION "6.3.6")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.3.6")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(INSTALL_SYSTEMD_SERVICE "Install a systemd service file to start the session" OFF)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KF_IGNORE_PLATFORM_CHECK ON CACHE BOOL "Don't check platform that is being built on")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMGenerateQmlTypes)
include(ECMFindQmlModule)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_MOBILE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Qml
    Quick
    Gui
    Sensors
    WaylandClient
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    GlobalAccel
    KIO
    Config
    DBusAddons
    ItemModels
    Service
    Notifications
    ModemManagerQt
    NetworkManagerQt
    KCMUtils
    Package
    JobWidgets
)

find_package(Plasma CONFIG REQUIRED)
find_package(PlasmaQuick CONFIG REQUIRED)
find_package(PlasmaActivities CONFIG REQUIRED)
find_package(KF6Screen CONFIG REQUIRED)
find_package(KWayland CONFIG REQUIRED)

find_package(PkgConfig REQUIRED)

find_package(QCoro6 REQUIRED COMPONENTS DBus)
qcoro_enable_coroutines()
kde_enable_exceptions()

pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)

find_package(KF6KirigamiAddons 0.6 REQUIRED)
find_package(epoxy REQUIRED)
find_package(XCB REQUIRED COMPONENTS XCB)
find_package(KWin ${PROJECT_DEP_VERSION} REQUIRED COMPONENTS
    kwin
)

find_package(LayerShellQt REQUIRED)

find_package(LibKWorkspace CONFIG REQUIRED)
find_package(Libudev REQUIRED)

find_package(KWinDBusInterface)
set_package_properties(KWinDBusInterface PROPERTIES DESCRIPTION "KWin DBus interface"
    TYPE REQUIRED
    PURPOSE "Needed for virtual keyboard toggle button"
)

include(CheckIncludeFiles)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

plasma_install_package(lookandfeel org.kde.breeze.mobile look-and-feel lookandfeel)
plasma_install_package(shell org.kde.plasma.mobileshell shells)

add_subdirectory(bin)
add_subdirectory(components)
add_subdirectory(containments)
add_subdirectory(quicksettings)
add_subdirectory(kcms)
add_subdirectory(kded)
add_subdirectory(kwin)
add_subdirectory(envmanager)
add_subdirectory(initialstart)
add_subdirectory(layout-templates)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

find_program(PlasmaOpenSettings plasma-open-settings)
set_package_properties(PlasmaOpenSettings PROPERTIES
                                          URL https://invent.kde.org/plasma/kde-cli-tools/
                                          DESCRIPTION "Opens KCMs properly"
                                          TYPE RUNTIME
                                          PURPOSE "Used on the top panel")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

if (INSTALL_SYSTEMD_SERVICE)
    install(FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/plasma-mobile.service
        DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}
    )
endif()

=== bin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Aleix Pol <apol@kde.org>
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-2.0-or-later

configure_file(startplasmamobile.in ${CMAKE_CURRENT_BINARY_DIR}/startplasmamobile)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startplasmamobile DESTINATION ${KDE_INSTALL_BINDIR})

configure_file(plasma-mobile.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-mobile.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasma-mobile.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/wayland-sessions
)

# For Plasma developers
configure_file(startplasmamobile-dev.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/startplasmamobile-dev.sh)
configure_file(plasma-mobile-dev.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-mobile-dev.desktop)
configure_file(install-sessions.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/install-sessions.sh)

=== kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(mobileshell)
add_subdirectory(cellularnetwork)
add_subdirectory(info)
add_subdirectory(powermanagement)
add_subdirectory(time)
add_subdirectory(virtualkeyboard)
add_subdirectory(hotspot)
add_subdirectory(wifi)

=== components/hapticsplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

qt_add_dbus_interfaces(DBUS_SRCS dbus/com.lomiri.hfd.xml)

ecm_add_qml_module(hapticsplugin URI org.kde.plasma.private.mobileshell.hapticsplugin GENERATE_PLUGIN_SOURCE)
target_sources(hapticsplugin PRIVATE
    vibrationmanager.cpp
    ${DBUS_SRCS}
)

target_link_libraries(hapticsplugin PRIVATE
    Qt::Qml
    Qt::DBus
    KF6::CoreAddons
    KF6::I18n
)

ecm_finalize_qml_module(hapticsplugin)

=== components/mobileshell/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(mobileshellplugin URI org.kde.plasma.private.mobileshell GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

set(mobileshellplugin_SRCS
    shellutil.cpp
    components/direction.cpp
    components/direction.h
    components/swipearea.cpp
    notifications/notificationthumbnailer.cpp
    notifications/notificationfilemenu.cpp
    notifications/notificationfileinfo.cpp
)
target_include_directories(mobileshellplugin PRIVATE components)
target_include_directories(mobileshellplugin PRIVATE notifications)
target_sources(mobileshellplugin PRIVATE ${mobileshellplugin_SRCS})

# Singleton declarations
set_source_files_properties(qml/components/AppLaunch.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(qml/components/Constants.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(qml/dataproviders/AudioInfo.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(qml/dataproviders/BatteryInfo.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(qml/dataproviders/BluetoothInfo.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(qml/dataproviders/SignalStrengthInfo.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(qml/notificationpopup/NotificationPopupProviderLoader.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(qml/volumeosd/VolumeOSDProviderLoader.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

# Include qml and js files within ./qml/
file(GLOB_RECURSE _qml_sources
    "qml/*.qml"
    "qml/*.js"
)
ecm_target_qml_sources(mobileshellplugin SOURCES ${_qml_sources})


target_link_libraries(mobileshellplugin
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::DBus
        Qt::Qml
        Qt::Gui
        Qt::Quick
        Qt::WaylandClientPrivate
        KF6::KIOGui
        Plasma::Plasma
        KF6::I18n
        KF6::Notifications
        Plasma::PlasmaQuick
        KF6::KIOGui
        KF6::KIOWidgets # for PreviewJob
        KF6::Service
        KF6::Package
        KF6::ConfigGui
        LayerShellQt::Interface
)

ecm_finalize_qml_module(mobileshellplugin)

=== components/quicksettingsplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(quicksettingsplugin URI org.kde.plasma.private.mobileshell.quicksettingsplugin GENERATE_PLUGIN_SOURCE)
target_sources(quicksettingsplugin PRIVATE
    paginatemodel.cpp
    quicksetting.cpp
    quicksettingsmodel.cpp
    quicksettingsconfig.cpp
    savedquicksettings.cpp
    savedquicksettingsmodel.cpp
)

target_link_libraries(quicksettingsplugin PRIVATE
    Qt::Qml
    Qt::DBus
    Qt::Gui
    Qt::Quick
    KF6::Service
    KF6::Package
    KF6::I18n
    KF6::ConfigCore
)

ecm_finalize_qml_module(quicksettingsplugin)

=== kded/start/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(kded_plasma_mobile_start_SRCS
    start.cpp
)

kcoreaddons_add_plugin(kded_plasma_mobile_start SOURCES ${kded_plasma_mobile_start_SRCS} INSTALL_NAMESPACE "kf6/kded")

target_link_libraries(kded_plasma_mobile_start PRIVATE
    Qt::Core
    KF6::DBusAddons
    KF6::KIOGui
    KF6::JobWidgets
    KF6::Package
)

=== kwin/scripts/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: LGPL-2.1-or-later

function(add_kwin_script name source)
    kpackage_install_package(${source} ${name} scripts kwin)

    # Copy the script to the build directory so one can run tests without prior
    # make install.
    file(COPY ${source}/contents ${source}/metadata.json DESTINATION ${CMAKE_BINARY_DIR}/bin/kwin/scripts/${name})
endfunction()

add_kwin_script(convergentwindows convergentwindows)

=== quicksettings/record/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(recordplugin_SRCS
    recordplugin.cpp
    recordutil.cpp
)

add_library(recordplugin ${recordplugin_SRCS})

target_link_libraries(recordplugin
    Qt::Core
    Qt::DBus
    Qt::Qml
    Qt::Quick
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
)

set_property(TARGET recordplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/record)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/record)

install(TARGETS recordplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/record)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/record)
install(FILES plasma_mobile_quicksetting_record.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

plasma_install_package(package org.kde.plasma.quicksetting.record quicksettings)

=== debian/changelog ===
plasma-mobile (6.3.6-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update plasma-mobile.install according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117364)
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 21:05:18 +0200

plasma-mobile (6.3.6-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * More fix incorrect backport of:
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Jul 2025 20:24:22 +0200

plasma-mobile (6.3.6-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Fix incorrect backport of:
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Jul 2025 08:34:48 +0200

plasma-mobile (6.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Envmanager: Use BorderlessMaximizedWindows option.
    - Shell: Fix Compact applet display popup when fullRepresentation is null.
    - Homescreens/folio: Block propagation if edit mode is active to avoid
    widget to trigger event.
    - Load minimized Quicksettings as Async.
    - Paginatemodel: Avoid to disconnect if model is the same because it's not
    reconnected after.
    - Fix mistake on paginatemodel.
    - Quicksettings: Use synchrone component loading instead of asynchrone to
    avoid concurrent bug.
    - Envmanager: Write options as immutable, and add kdeglobals.
    - Envmanager: Add overlay configs through XDG_CONFIG_DIRS.
    - Taskswitcher: Fix task close icon colour in light mode.
    - Folio: Ensure y anim signals don't get emitted if value didn't change.
    - Notifications: Fix do-not-disturb.
    - Notifications: Don't factor action drawer state in expiry.
    - Notifications: do not expire notificationa after invoking action.
  * Backport upstream commits:
    - bin: Don't force QT_QPA_PLATFORM=wayland so apps that prefer x11 can use
    it similar to what the desktop session does. [8b8c9585]
    - applicationlistmodel: Space out application list refreshes to avoid log
    spam and freezes. [7d9054f7]
    - Disables unexpected gesture navigation activating the task switcher when
    Action Drawer, Notification Popup Drawer, or VolumeOSD are visible
    [013d0345]
    - GestureNavigation: Fix Action Drawer State being out of Sync on First
    Start. [9707f503]
    - folio: Fix recurring AppDelegate null errors in the logs. [c5f0d15b]
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]
    - statusbar: Don't show internet icon and network loading indicator at
    same time. [23797660]
    - modem manager plugin: Make calls nonblocking to not freeze UI when
    called. [6e0dca97]
    - Folio: Fix Settings Component drawer bug where it can end up displayed
    at the same time as the application drawer. [a452bc30]
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.6 packages that have actual code changes.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Jul 2025 17:56:43 +0200

plasma-mobile (6.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Wallpaperselector: Fix delegate dimensions and icon color.
    - Taskpanel: Fix rotate button showing with autorotate.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 01:24:48 +0200

plasma-mobile (6.3.4-1) unstable; urgency=medium

  * New upstream release (6.3.4).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Add kde-config-mobile-networking to Replaces. (Closes: #1100380)
  * Add/update Jonathan Esk-Riddell’s key in upstream keyring.
  * Update d/plasma-mobile.install after upstream changes.
  * Fix d/copyright after lintian warnings.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 05 Apr 2025 20:54:41 +0200

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.24~),
               extra-cmake-modules (>= 6.10.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.3.4~),
               libepoxy-dev,
               libglib2.0-dev,
               libkf6bluezqt-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6declarative-dev,
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6modemmanagerqt-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libplasma5support-dev,
               libplasmaactivities-dev,
               libudev-dev,
               libxcb1-dev,
               milou,
               pkg-kde-tools,
               pkgconf,
               plasma-nano,
               plasma-nm,
               plasma-pa,
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            iio-sensor-proxy,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: kde-config-mobile-networking (<< 4:6.0.0~),
          plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.4.3

=== debian/changelog ===
plasma-mobile (6.4.3-0zneon+24.04+noble+release+build43) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:54:10 +0000

plasma-mobile (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:18:31 +0000

plasma-mobile (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:49:17 +0000

plasma-mobile (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:59:39 +0000

plasma-mobile (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:09:03 +1000

plasma-mobile (6.3.80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 18 May 2025 10:09:40 +1000

plasma-mobile (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:07:15 +0000

plasma-mobile (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:21:54 +0000

plasma-mobile (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:17:59 +0000

plasma-mobile (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:19:52 +0000

plasma-mobile (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:06:11 +0000

plasma-mobile (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:38:12 +0000

plasma-mobile (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:08:08 +1000

plasma-mobile (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:43:24 +0000

plasma-mobile (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:21:51 +0000

plasma-mobile (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:13:59 +0000

plasma-mobile (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:24:26 +0000

plasma-mobile (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:29:23 +0000

plasma-mobile (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:20:08 +0000

plasma-mobile (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:37:20 +0000

plasma-mobile (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:14:16 +0000

plasma-mobile (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:47:43 +0000

plasma-mobile (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:07:31 +0000

plasma-mobile (6.0.3.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:24:40 +0000

plasma-mobile (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:55:34 +0000

plasma-mobile (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:20:46 +0000

plasma-mobile (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:27:44 +0000

plasma-mobile (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:24 +1000

plasma-mobile (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:56:39 +0000

plasma-mobile (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:05:43 +0000

plasma-mobile (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:12:48 +0000

plasma-mobile (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:26:30 +0000

plasma-mobile (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:14:51 +0000

plasma-mobile (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:42:08 +0000

plasma-mobile (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:37:27 +0000

plasma-mobile (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:19:17 +0000

plasma-mobile (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:10:47 +0000

plasma-mobile (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:40:28 +0000

plasma-mobile (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:54:04 +0000

plasma-mobile (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:51:31 +0000

plasma-mobile (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:29:28 +0000

plasma-mobile (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:07:20 +0000

plasma-mobile (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:48:02 +0000

plasma-mobile (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:19:32 +0000

plasma-mobile (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:16:10 +0000

plasma-mobile (5.25.2-0neon) focal; urgency=medium

  * New release



## plasma-mobile 6.4.4

=== debian/changelog ===
plasma-mobile (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on libdrm-dev
  * Build depend on libkpipewire-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:40 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.14.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev (>= 4:6.4.4~),
               kwin-dev (>= 4:6.4.4~),
               libdrm-dev,
               libepoxy-dev,
               libglib2.0-dev,
               libkf6bluezqt-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6declarative-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6modemmanagerqt-dev (>= 6.14.0~),
               libkf6networkmanagerqt-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6package-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkpipewire-dev (>= 6.4.4~),
               libkscreen-dev (>= 4:6.4.4~),
               liblayershellqtinterface-dev (>= 6.4.4~),
               libplasma-dev (>= 6.4.4~),
               libplasma5support-dev (>= 4:6.4.4~),
               libplasmaactivities-dev (>= 6.4.4~),
               libudev-dev,
               libxcb1-dev,
               milou (>= 4:6.4.4~),
               pkg-kde-tools,
               pkgconf,
               plasma-nano (>= 6.4.4~),
               plasma-nm (>= 4:6.4.4~),
               plasma-pa (>= 4:6.4.4~),
               plasma-workspace-dev (>= 4:6.4.4~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire (>= 6.4.4~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
               qt6-sensors-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~),
               qt6-wayland-private-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            iio-sensor-proxy,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,11 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.3.6")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
-set(PROJECT_DEP_VERSION "6.3.6")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -57,6 +56,10 @@
     WaylandClient
 )
 
+if(Qt6WaylandClient_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6 REQUIRED COMPONENTS WaylandClientPrivate)
+endif()
+
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     GlobalAccel
@@ -78,6 +81,7 @@
 find_package(PlasmaActivities CONFIG REQUIRED)
 find_package(KF6Screen CONFIG REQUIRED)
 find_package(KWayland CONFIG REQUIRED)
+find_package(KPipeWire ${PROJECT_DEP_VERSION} REQUIRED)
 
 find_package(PkgConfig REQUIRED)

=== components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Devin Lin <devin@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(hapticsplugin)
add_subdirectory(mmplugin)
add_subdirectory(mobileshell)
add_subdirectory(mobileshellstate)
add_subdirectory(quicksettingsplugin)
add_subdirectory(rotationplugin)
add_subdirectory(windowplugin)
add_subdirectory(shellsettingsplugin)
add_subdirectory(wallpaperimageplugin)
add_subdirectory(dpmsplugin)
add_subdirectory(screenbrightnessplugin)

=== envmanager/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(plasma-mobile-envmanager_SRCS
    main.cpp
    settings.cpp
    utils.cpp
    config.h
)

add_executable(plasma-mobile-envmanager ${plasma-mobile-envmanager_SRCS} ${RESOURCES})
target_link_libraries(plasma-mobile-envmanager
    Qt::Qml
    Qt::Gui
    Qt::Widgets
    Qt::Quick
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::Package
)

target_include_directories(plasma-mobile-envmanager PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS plasma-mobile-envmanager ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(mobileshell)
add_subdirectory(info)
add_subdirectory(time)
add_subdirectory(virtualkeyboard)

=== components/shellsettingsplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(shellsettingsplugin URI org.kde.plasma.private.mobileshell.shellsettingsplugin GENERATE_PLUGIN_SOURCE)
target_sources(shellsettingsplugin PRIVATE mobileshellsettings.cpp)

target_link_libraries(shellsettingsplugin PRIVATE
    Qt::Qml
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Plasma::KWaylandClient
    KF6::Service
    KF6::Package
    KF6::KIOGui
    KF6::JobWidgets
)

ecm_finalize_qml_module(shellsettingsplugin)

=== containments/panel/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2021 Aleix Pol <apol@kde.org>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(phonepanel_SRCS
    phonepanel.cpp
)

add_library(org.kde.plasma.mobile.panel MODULE ${phonepanel_SRCS})

target_link_libraries(org.kde.plasma.mobile.panel
                      Qt::Gui
                      Qt::DBus
                      Plasma::Plasma
                      KF6::I18n
                      KF6::Service
                     )

install(TARGETS org.kde.plasma.mobile.panel DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)
#install(FILES plasma-phonepanel-default.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

plasma_install_package(package org.kde.plasma.mobile.panel)

=== quicksettings/flashlight/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(flashlightplugin
    URI "org.kde.plasma.quicksetting.flashlight"
    GENERATE_PLUGIN_SOURCE
)

target_sources(flashlightplugin PRIVATE flashlightutil.cpp)

target_link_libraries(flashlightplugin PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::DBus
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
    udev
)

ecm_finalize_qml_module(flashlightplugin)

plasma_install_package(package org.kde.plasma.quicksetting.flashlight quicksettings)

=== containments/homescreens/halcyon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.mobile.homescreen.halcyon\")

set(homescreen_SRCS
    homescreen.cpp
)

add_library(org.kde.plasma.mobile.homescreen.halcyon MODULE ${homescreen_SRCS})

target_link_libraries(org.kde.plasma.mobile.homescreen.halcyon
                      Qt::Gui
                      Qt::Qml
                      Qt::Quick
                      Plasma::Plasma
                      KF6::I18n
                      KF6::Service
                      KF6::KIOGui
                      KF6::Notifications
                      Plasma::KWaylandClient
                      KF6::WindowSystem
)

install(TARGETS org.kde.plasma.mobile.homescreen.halcyon DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)

plasma_install_package(package org.kde.plasma.mobile.homescreen.halcyon)

add_subdirectory(plugin)

=== containments/homescreens/halcyon/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(halcyonplugin_SRCS
    halcyonplugin.cpp
    application.cpp
    applicationfolder.cpp
    applicationlistmodel.cpp
    pinnedmodel.cpp
    windowlistener.cpp
)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/private/mobile/homescreen/halcyon)

add_library(halcyonplugin SHARED ${halcyonplugin_SRCS})

target_link_libraries(halcyonplugin
                      Qt::Gui
                      Qt::Qml
                      Qt::Quick
                      Plasma::Plasma
                      KF6::I18n
                      KF6::Service
                      KF6::KIOGui
                      KF6::JobWidgets
                      Plasma::KWaylandClient
                      KF6::WindowSystem)

set_property(TARGET halcyonplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/private/mobile/homescreen/halcyon)
install(TARGETS halcyonplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/private/mobile/homescreen/halcyon)

=== debian/changelog ===
plasma-mobile (6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 10:18:58 +0100

plasma-mobile (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-sodeps,
                extra-cmake-modules (>= 6.14.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwayland-dev (>= 4:6.4.4~),
-               kwin-dev (>= 4:6.4.4~),
+               kwayland-dev (>= 4:6.4.5~),
+               kwin-dev (>= 4:6.4.5~),
                libdrm-dev,
                libepoxy-dev,
                libglib2.0-dev,
@@ -34,23 +34,23 @@
                libkf6notifications-dev (>= 6.14.0~),
                libkf6package-dev (>= 6.14.0~),
                libkf6service-dev (>= 6.14.0~),
-               libkpipewire-dev (>= 6.4.4~),
-               libkscreen-dev (>= 4:6.4.4~),
-               liblayershellqtinterface-dev (>= 6.4.4~),
-               libplasma-dev (>= 6.4.4~),
-               libplasma5support-dev (>= 4:6.4.4~),
-               libplasmaactivities-dev (>= 6.4.4~),
+               libkpipewire-dev (>= 6.4.5~),
+               libkscreen-dev (>= 4:6.4.5~),
+               liblayershellqtinterface-dev (>= 6.4.5~),
+               libplasma-dev (>= 6.4.5~),
+               libplasma5support-dev (>= 4:6.4.5~),
+               libplasmaactivities-dev (>= 6.4.5~),
                libudev-dev,
                libxcb1-dev,
-               milou (>= 4:6.4.4~),
+               milou (>= 4:6.4.5~),
                pkg-kde-tools,
                pkgconf,
-               plasma-nano (>= 6.4.4~),
-               plasma-nm (>= 4:6.4.4~),
-               plasma-pa (>= 4:6.4.4~),
-               plasma-workspace-dev (>= 4:6.4.4~),
+               plasma-nano (>= 6.4.5~),
+               plasma-nm (>= 4:6.4.5~),
+               plasma-pa (>= 4:6.4.5~),
+               plasma-workspace-dev (>= 4:6.4.5~),
                qcoro-qt6-dev,
-               qml6-module-org-kde-pipewire (>= 6.4.4~),
+               qml6-module-org-kde-pipewire (>= 6.4.5~),
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
                qt6-declarative-private-dev (>= 6.8.0~),

## plasma-mobile 6.4.5+p24.04+vstable+git20251004.0932

=== debian/changelog ===
plasma-mobile (6.4.5+p24.04+vstable+git20251004.0932-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 09:32:06 +0000

plasma-mobile (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:46:07 +0000

plasma-mobile (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:28:42 +0000

## plasma-mobile 6.4.5+p24.04+vstable+git20251004.0956

=== debian/changelog ===
plasma-mobile (6.4.5+p24.04+vstable+git20251004.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 09:56:12 +0000

## plasma-mobile 6.4.5+p24.04+vstable+git20251012.0117

=== debian/changelog ===
plasma-mobile (6.4.5+p24.04+vstable+git20251012.0117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:17:54 +0000

## plasma-mobile 6.4.5+p24.04+vstable+git20251020.1006

=== debian/changelog ===
plasma-mobile (6.4.5+p24.04+vstable+git20251020.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:06:51 +0000

## plasma-mobile 6.4.91

=== quicksettings/flashlight/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
     Qt::Qml
     Qt::Quick
     Qt::DBus
+    KF6::AuthCore
     KF6::CoreAddons
     KF6::ConfigCore
     KF6::ConfigGui
@@ -24,3 +25,5 @@
 ecm_finalize_qml_module(flashlightplugin)
 
 plasma_install_package(package org.kde.plasma.quicksetting.flashlight quicksettings)
+
+add_subdirectory(kauth)

=== debian/changelog ===
plasma-mobile (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add myself to the uploaders.
  * Drop backported commits now part of the upstream release.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Oct 2025 22:48:34 +0200

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.24~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.4.91~),
               libdrm-dev,
               libepoxy-dev,
               libglib2.0-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6bluezqt-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev,
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.4.91~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libplasma5support-dev,
               libplasmaactivities-dev,
               libudev-dev,
               libwayland-dev,
               libxcb1-dev,
               milou,
               pkg-kde-tools,
               pkgconf,
               plasma-nano,
               plasma-nm,
               plasma-pa,
               plasma-wayland-protocols (>= 1.8~),
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            iio-sensor-proxy,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: kde-config-mobile-networking (<< 4:6.0.0~),
          plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list
